/* 
 * $Id: XDTPModuleAdapter.cpp,v 1.2 2006/07/13 13:52:00 ozawa Exp $
 *
 * Copyright 2006- ONGS Inc. All rights reserved.
 * 
 * author: Masanori OZAWA (ozawa@ongs.co.jp)
 * version: $Revision: 1.2 $
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY ONGS INC ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL ONGS INC OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of the ONGS Inc.
 * 
 */

#include "xdtp.h"
#include "modules/XDTPModuleAdapter.h"

using namespace XDTP;

XDTPModuleAdapter::XDTPModuleAdapter()
{
    m_pXDTPTransform = NULL;
}

XDTPModuleAdapter::~XDTPModuleAdapter()
{
}

/**
 * ߤXDTPTransform⥸塼ޤ
 * 
 * @return ߤXDTPTransform⥸塼
 */
const XDTPTransform * XDTPModuleAdapter::getXDTPTransform()
{
    return m_pXDTPTransform;
}

/**
 * 򳫻Ϥ˽Ϸꤷޤ
 * 
 * @param aType Ϸ
 */
void XDTPModuleAdapter::setOutputType(const Glib::ustring& aType)
{
    // no operation
}

/**
 * 򳫻Ϥ˥ץꤷޤ
 * 
 * @param anOptions ץ
 */
void XDTPModuleAdapter::setOption(const StringList& anOptions)
{
    // no operation
}

/**
 * 򳫻Ϥ˽ϥե̾ꤷޤ
 * 
 * @param anOutputFile ϥե̾
 */
void XDTPModuleAdapter::setOutputFile(const Glib::ustring& anOutputFile)
{
    // no operation
}

/**
 * 򳫻ϤѴXMLե̾ꤷޤ
 * 
 * @param aXMLFile ѴXMLե̾
 */
void XDTPModuleAdapter::setXMLFile(const Glib::ustring& aXMLFile)
{
    // no operation
}

/**
 * ϥեΥ󥳡ɤꤷޤ
 * XMLեϤθ¤ǤϤޤ
 * 
 * @param anInputEncoding ϥեΥ󥳡
 */
void XDTPModuleAdapter::setInputEncoding(const Glib::ustring& anInputEncoding)
{
    // no operation
}

/**
 * ϥեΥ󥳡ɤꤷޤ
 * 
 * @param anOutputEncoding ϥեΥ󥳡
 */
void XDTPModuleAdapter::setOutputEncoding(const Glib::ustring& anOutputEncoding)
{
    // no operation
}

/**
 * ߤXDTPTransform⥸塼ꤷޤ
 * 
 * @param aXDTPTransform ߤXDTPTransform⥸塼
 */
void XDTPModuleAdapter::setXDTPTransform(const XDTPTransform *aXDTPTransform)
{
    m_pXDTPTransform = aXDTPTransform;
}

/**
 * եparseľ˸ƤӽФޤ
 * 
 * @param aFile parseоݤΥե̾
 */
void XDTPModuleAdapter::treatPreFile(const Glib::ustring& aFile)
{
    // no operation
}

/**
 * parseXMLʸϤXSLѴľ˸ƤӽФޤ
 * 
 * @param aDocument XMLʸ
 */
void XDTPModuleAdapter::treatPreDocument(xmlDocPtr aDocument)
{
    // no operation
}

/**
 * XSLѴXMLʸϤ¸ľ˸ƤӽФޤ
 * 
 * @param aDocument XMLʸ
 */
void XDTPModuleAdapter::treatPostDocument(xmlDocPtr aDocument)
{
    // no operation
}

/**
 * XMLʸϤ¸ľ˸ƤӽФޤ
 * 
 * @param aFile ¸ե̾
 */
void XDTPModuleAdapter::treatPostFile(const Glib::ustring& aFile)
{
    // no operation
}
